summaryrefslogtreecommitdiff
path: root/borg-family-0.1/src/etc
diff options
context:
space:
mode:
authorLudovic Pouzenc <ludovic@pouzenc.fr>2021-01-15 23:17:34 +0100
committerLudovic Pouzenc <ludovic@pouzenc.fr>2021-01-15 23:17:34 +0100
commit1ada10f44e2baf28823156c006c82a076c52f530 (patch)
treec57a5d11efffe6f3a96d02b78765f55a1b6c3889 /borg-family-0.1/src/etc
downloadborg-family-1ada10f44e2baf28823156c006c82a076c52f530.tar.gz
borg-family-1ada10f44e2baf28823156c006c82a076c52f530.tar.bz2
borg-family-1ada10f44e2baf28823156c006c82a076c52f530.zip
borg-family_0.1-1
Diffstat (limited to 'borg-family-0.1/src/etc')
-rwxr-xr-xborg-family-0.1/src/etc/bfhooks27
-rw-r--r--borg-family-0.1/src/etc/confvars5
-rw-r--r--borg-family-0.1/src/etc/excludes.d/home4
-rw-r--r--borg-family-0.1/src/etc/excludes.d/rootfs5
4 files changed, 41 insertions, 0 deletions
diff --git a/borg-family-0.1/src/etc/bfhooks b/borg-family-0.1/src/etc/bfhooks
new file mode 100755
index 0000000..5b6b204
--- /dev/null
+++ b/borg-family-0.1/src/etc/bfhooks
@@ -0,0 +1,27 @@
+#!/bin/bash -e
+mount_bind_rootfs() {
+ if ! mount | grep -q /rootfs; then
+ mkdir -p /rootfs
+ mount --bind / /rootfs
+ fi
+}
+
+umount_bind_rootfs() {
+ if mount | grep -q /rootfs; then
+ umount /rootfs || lsof -n | grep /rootfs
+ rmdir /rootfs
+ fi
+}
+
+case $1 in
+ before)
+ case $2 in
+ rootfs) apt-get clean || true; mount_bind_rootfs;;
+ esac
+ ;;
+ after)
+ case $2 in
+ rootfs) umount_bind_rootfs ;;
+ esac
+ ;;
+esac
diff --git a/borg-family-0.1/src/etc/confvars b/borg-family-0.1/src/etc/confvars
new file mode 100644
index 0000000..f737648
--- /dev/null
+++ b/borg-family-0.1/src/etc/confvars
@@ -0,0 +1,5 @@
+# This file is used by bfenv and bfrun (bash scripts)
+borg_init_opts=( -e repokey-blake2 --make-parent-dirs -v )
+borg_check_opts=( --last $((1+$(bfwhat | wc -l) )) -v )
+borg_create_opts=( --one-file-system --compression zstd --exclude-caches --exclude-if-present=NOBACKUPDIR.TAG --keep-exclude-tags --list --filter=AMEi-x --stats --show-rc -v )
+quiet=0
diff --git a/borg-family-0.1/src/etc/excludes.d/home b/borg-family-0.1/src/etc/excludes.d/home
new file mode 100644
index 0000000..c7aead3
--- /dev/null
+++ b/borg-family-0.1/src/etc/excludes.d/home
@@ -0,0 +1,4 @@
+**/.cache/*
+/home/*/.mozilla/**/datareporting
+/home/*/.thunderbird/**/global-messages-db.sqlite
+/home/*/.thunderbird/**/ImapMail
diff --git a/borg-family-0.1/src/etc/excludes.d/rootfs b/borg-family-0.1/src/etc/excludes.d/rootfs
new file mode 100644
index 0000000..b61797b
--- /dev/null
+++ b/borg-family-0.1/src/etc/excludes.d/rootfs
@@ -0,0 +1,5 @@
+/rootfs/var/cache/apt/*
+**/.cache/*
+/rootfs/home/*/.mozilla/**/datareporting
+/rootfs/home/*/.thunderbird/**/global-messages-db.sqlite
+/rootfs/home/*/.thunderbird/**/ImapMail